﻿CREATE TABLE [dbo].[MakeMyMarket_MarketSizes] (
    [Id]               UNIQUEIDENTIFIER NOT NULL,
    [MakeMyMarketID]   UNIQUEIDENTIFIER NOT NULL,
    [SegmentID]        UNIQUEIDENTIFIER NOT NULL,
    [SubSegmentID]     UNIQUEIDENTIFIER NOT NULL,
    [Year]             INT              NOT NULL,
    [ASP]              DECIMAL (19, 4)  NULL,
    [Volume]           DECIMAL (19, 4)  NULL,
    [Value]            DECIMAL (19, 4)  NULL,
    [Growth]           DECIMAL (19, 4)  NULL,
    [CreatedOn]        DATETIME2 (7)    NOT NULL,
    [UserCreatedById]  UNIQUEIDENTIFIER NOT NULL,
    [ModifiedOn]       DATETIME2 (7)    NULL,
    [UserModifiedById] UNIQUEIDENTIFIER NULL,
    [IsDeleted]        BIT              NULL,
    [DeletedOn]        DATETIME2 (7)    NULL,
    [UserDeletedById]  UNIQUEIDENTIFIER NULL,
    CONSTRAINT [PK_MakeMyMarket_MarketSizes_ID] PRIMARY KEY CLUSTERED ([Id] ASC),
    FOREIGN KEY ([SegmentID]) REFERENCES [dbo].[Segment] ([Id]),
    FOREIGN KEY ([SubSegmentID]) REFERENCES [dbo].[SubSegment] ([Id]),
    FOREIGN KEY ([UserCreatedById]) REFERENCES [dbo].[Customer] ([Id]),
    FOREIGN KEY ([UserDeletedById]) REFERENCES [dbo].[Customer] ([Id]),
    FOREIGN KEY ([UserModifiedById]) REFERENCES [dbo].[Customer] ([Id]),
    CONSTRAINT [FK__MakeMyMar__MakeM__0C89D700] FOREIGN KEY ([MakeMyMarketID]) REFERENCES [dbo].[MakeMyMarkets] ([Id])
);

